DigitalX

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/digitalx/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/digitalx/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1765929600000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://clients3.weblink.com.au/pdf/DCC/03038379.pdf",
    "holding_balance": 503.2,
    "holding_net_change": -0.8,
    "transaction_value_usd": 68939.152,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1776902400000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://clients3.weblink.com.au/pdf/DCC/03081688.pdf",
    "holding_balance": 364.0,
    "holding_net_change": -139.2,
    "transaction_value_usd": 10894503.312,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1785196800000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://clients3.weblink.com.au/pdf/DCC/03114828.pdf",
    "holding_balance": 284.0,
    "holding_net_change": -80.0,
    "transaction_value_usd": 5101273.6,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/digitalx/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1790812800000,
    284.0
  ],
  [
    1790899200000,
    284.0
  ],
  [
    1790985600000,
    284.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/digitalx/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1790812800000,
    23727393.44
  ],
  [
    1790899200000,
    24078323.72
  ],
  [
    1790985600000,
    23997034.4
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/digitalx/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 0.029,
    "date": "2026-09-30",
    "high": 0.031,
    "open": 0.029,
    "close": 0.031,
    "volume": 789534
  },
  {
    "low": 0.03,
    "date": "2026-10-01",
    "high": 0.03,
    "open": 0.03,
    "close": 0.03,
    "volume": 714348
  },
  {
    "low": 0.03,
    "date": "2026-10-02",
    "high": 0.033,
    "open": 0.03,
    "close": 0.032,
    "volume": 1758972
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/digitalx/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/digitalx/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 3.23,
  "six_month_return": 10.34,
  "three_month_return": 14.29
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/digitalx/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 54.8,
  "total_btc_percentage": 0.001,
  "share_price_change_state": "up"
}